package com.nasc.custom.mapper;

import com.nasc.custom.domain.NascCertificateSend;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 16:38
 * @Description: 证照表
 * @return:
 */
public interface NascCertificateSendMapper {

    /**
     * @Author: Yujianq
     * @Date: 2024/6/5 10:50
     * @Description: 新增证照发放信息
     * @param certificateSendList
     * @return: int
     */
    int insertCertificateSend(List<NascCertificateSend> certificateSendList);

    List<Map<String, Object>> selectCertificateSendList(NascCertificateSend certificateSend);

    int updateCertificateSend(@Param("certificateSendList") List<NascCertificateSend> certificateSendList, @Param("sendUser") Long sendUser);

}
