package com.nasc.custom.mapper;

import com.nasc.custom.domain.NascCertificate;
import com.nasc.custom.domain.NascManualVerify;

import java.util.List;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 16:38
 * @Description: 证照表
 * @return:
 */
public interface NascCertificateMapper {

    /**
     * @Author: Yujianq
     * @Date: 2024/6/5 10:50
     * @Description: 新增证照信息
     * @param certificateList
     * @return: int
     */
    int insertCertificate(List<NascCertificate> certificateList);

    List<NascCertificate> selectCertificateList(NascCertificate certificate);

}
